--menu
function Android:Menu()
 screen:blit(0,y_menu,menu)
 if pad:cross() and curx <=293 and curx >= 193 and cury >= 223 and y_menu == 218 and y_notif == -246 then
  menu_up = true
  menu_down = false
 end
 if menu_up == true then
  y_menu=y_menu-8
 end
 if y_menu <= 23 then
  y_menu = 23
  menu_ok = true
  menu_up = false
 end
 if y_menu < 23 then
   y_menu = 23
 end
 if pad:cross() and curx <=293 and curx >= 193 and cury >= 23 and cury <= 72 and y_menu == 23 then
  menu_down = true
  menu_up = false
  menu_ok = false
 end
 if menu_down == true then
  y_menu = y_menu+8
 end
 if y_menu == 218 then
  menu_down = false
  menu_ok = false
 end
 if y_menu > 218 then
   y_menu = 218
 end
 if menu_ok == true then
  Android:Programs(20,y_menu+60)
 end
end
-- fin
Folders = 0
select = 1
function Android:Programs(x,y)
 for i = 3, table.getn(Apps) do
--  icon = Image.load("APPS/"..Apps[select+2].name.."/icon.png")
  screen:fontPrint(font,x,y+i*15-20, i - 2 .."- "..Apps[i].name,blanc)
--  screen:blit(x,y+i*50-20,icon)
 end
 if pad:up() and not oldpad:up() then 
  select = select - 1
 end
 if select < 1 then 
  select = table.getn(Apps) - 2
 end
 if select > table.getn(Apps) - 2 then 
  select = 1
 end
 if pad:down() and not oldpad:down() then 
  select = select + 1
 end
 if pad:r() and not oldpad:r() and menu_ok == true then
  dofile("APPS/"..Apps[select+2].name.."/script.lua")
 end
 screen:fontPrint(font,x-7,y+select*15+10,">",blanc)
end
